%define oname   pyxdg

Name:             python-pyxdg
Summary:          Python library to access freedesktop.org standards
Version:          0.26
Release:          %mkrel 6
Group:            System/Libraries
License:          LGPLv2
URL:              http://www.freedesktop.org/Software/pyxdg
Source0:          https://pypi.io/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
Patch0:           0001-Fix-several-ResourceWarnings-unclosed-file.patch
BuildArch:        noarch
BuildRequires:    pkgconfig(python3)
BuildRequires:    python3dist(setuptools)

%description
PyXDG is a python library to access freedesktop.org standards.

Currently supported are:
	* Base Directory Specification Version 0.6
	* Menu Specification Version 1.0
	* Desktop Entry Specification Version 1.0
	* Icon Theme Specification Version 0.8
	* Recent File Spec 0.2
	* Shared-MIME-Database Specification 0.13

%package -n python3-pyxdg
Summary:	Python3 library to access freedesktop.org standards
Group:		System/Libraries
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-pyxdg
PyXDG is a python library to access freedesktop.org standards. This
package contains a Python 3 version of PyXDG.

%prep
%setup -qn %{oname}-%{version}
%autopatch -p1

# drop bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-pyxdg
%license COPYING
%doc AUTHORS ChangeLog README TODO
%{python3_sitelib}/xdg
%{python3_sitelib}/pyxdg-*.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.26-6.mga8
+ Revision: 1530992
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 0.26-5.mga8
+ Revision: 1438313
- add upstream patch to fix several ResourceWarnings: unclosed file
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 wally <wally> 0.26-4.mga7
+ Revision: 1350579
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.26-3.mga7
+ Revision: 1289982
- Mageia 7 Mass Rebuild

* Fri Apr 20 2018 daviddavid <daviddavid> 0.26-2.mga7
+ Revision: 1220470
- python2-pyxdg provides also pyxdg

* Fri Apr 20 2018 kekepower <kekepower> 0.26-1.mga7
+ Revision: 1220413
- Update to version 0.26
- Renamed python-pyxdg to python2-pyxdg
- Use python_provide

* Sat Aug 05 2017 pterjan <pterjan> 0.25-11.mga7
+ Revision: 1135594
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.25-10.mga6
+ Revision: 970500
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 ovitters <ovitters> 0.25-9.mga6
+ Revision: 887055
- rebuild for new python3

* Thu Dec 25 2014 philippem <philippem> 0.25-8.mga5
+ Revision: 805911
- fix CVE-2014-1624 mga#14873

* Wed Oct 15 2014 umeabot <umeabot> 0.25-7.mga5
+ Revision: 750265
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.25-6.mga5
+ Revision: 729611
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.25-5.mga5
+ Revision: 688293
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.25-4.mga5
+ Revision: 628976
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.25-3.mga4
+ Revision: 544149
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.25-2.mga4
+ Revision: 499279
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jun 30 2013 fwang <fwang> 0.25-1.mga4
+ Revision: 448488
- add patch from fedora
- new version 0.25
- add python3 flavour

* Sun Jan 13 2013 umeabot <umeabot> 0.19-4.mga3
+ Revision: 379422
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 ahmad <ahmad> 0.19-3.mga1
+ Revision: 47125
- step 2 or renaming the package
- move the package in order to rename it to comply with our python naming policy
- imported package pyxdg

